summaryrefslogtreecommitdiffstats
path: root/make.sh
diff options
context:
space:
mode:
authorSimon Rettberg2019-05-27 18:19:24 +0200
committerSimon Rettberg2019-05-27 18:19:24 +0200
commita92edd5f723d56a377905c91bb6321790d0d3a98 (patch)
tree583fd732c5cb9763b743b4206b9e722c6427e5d2 /make.sh
parentAdd download and download_retry (diff)
downloadslx-tools-a92edd5f723d56a377905c91bb6321790d0d3a98.tar.gz
slx-tools-a92edd5f723d56a377905c91bb6321790d0d3a98.tar.xz
slx-tools-a92edd5f723d56a377905c91bb6321790d0d3a98.zip
Add String and XML helpers
Diffstat (limited to 'make.sh')
-rwxr-xr-xmake.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/make.sh b/make.sh
index a8a4760..5f32249 100755
--- a/make.sh
+++ b/make.sh
@@ -19,6 +19,11 @@ for file in modules/**/*.inc; do
name="${name%.inc}"
[[ "$name" =~ ^[a-z0-9_]+$ ]] || continue
echo " * Handling $file"
+ if ! bash -n "$file"; then
+ echo "FILE CONTAINS ERRORS; ABORTING"
+ rm -f -- slx-tools
+ exit 1
+ fi
for var in $( grep -oP '^[a-z0-9_]+\s*\(\)' "$file" | grep -oE '^[a-z0-9_]+' ); do
echo "Found $var"
DEFS+="$var() { . \$BASE/$file; $var "'"$@"; }\n'